Search — Teams
curl --request GET \
--url https://apiv2.sportxapi.com/cricket/api/v2/search/teamconst options = {method: 'GET'};
fetch('https://apiv2.sportxapi.com/cricket/api/v2/search/team', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://apiv2.sportxapi.com/cricket/api/v2/search/team"
response = requests.get(url)
print(response.text)[
{
"teamID": "25",
"teamName": "India",
"teamShortName": "IND",
"teamImage": "https://cdn.sportxapi.com/assets/uploads/2025/09/IND.webp?_sxcdn=20260831"
},
{
"teamID": "8515",
"teamName": "Rest of India",
"teamShortName": "ROI",
"teamImage": "https://cdn.sportxapi.com/assets/uploads//2023/01/india-4.png?_sxcdn=20260831"
}
]{
"error": "Unauthorized: Missing or invalid API key"
}{
"error": "Quota limit exceeded for current billing cycle"
}Search
Search — Teams
Team search by query string.
GET
/
cricket
/
api
/
v2
/
search
/
team
Search — Teams
curl --request GET \
--url https://apiv2.sportxapi.com/cricket/api/v2/search/teamconst options = {method: 'GET'};
fetch('https://apiv2.sportxapi.com/cricket/api/v2/search/team', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://apiv2.sportxapi.com/cricket/api/v2/search/team"
response = requests.get(url)
print(response.text)[
{
"teamID": "25",
"teamName": "India",
"teamShortName": "IND",
"teamImage": "https://cdn.sportxapi.com/assets/uploads/2025/09/IND.webp?_sxcdn=20260831"
},
{
"teamID": "8515",
"teamName": "Rest of India",
"teamShortName": "ROI",
"teamImage": "https://cdn.sportxapi.com/assets/uploads//2023/01/india-4.png?_sxcdn=20260831"
}
]{
"error": "Unauthorized: Missing or invalid API key"
}{
"error": "Quota limit exceeded for current billing cycle"
}Query Parameters
Free-text query.
Example:
"india"
Response
Successful Response (JSON)
